Zum Hauptinhalt springen
POST
/
veo
/
objects
Veo Objects
curl --request POST \
  --url https://api.acedata.cloud/veo/objects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "insert",
  "video_id": "video-uuid-xxx"
}
'
import requests

url = "https://api.acedata.cloud/veo/objects"

payload = {
"action": "insert",
"video_id": "video-uuid-xxx"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: 'insert', video_id: 'video-uuid-xxx'})
};

fetch('https://api.acedata.cloud/veo/objects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "data": {},
  "success": true
}
{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}

Autorisierungen

Authorization
string
header
erforderlich

Header

accept
enum<string>

Veo Objects Param Accept

Verfügbare Optionen:
application/json

Body

application/json
action
enum<string>
erforderlich

Veo Objects Action

Verfügbare Optionen:
insert,
remove
Beispiel:

"insert"

video_id
string
erforderlich

Veo Objects Video Id

Beispiel:

"video-uuid-xxx"

prompt
string

Veo Objects Prompt

Beispiel:

"add a flying pig with black wings"

image_mask
string

Veo Objects Image Mask

Beispiel:

"https://cdn.acedata.cloud/4hfydw.jpg"

callback_url
string

Veo Objects Callback Url

async
boolean

Veo Objects Async

Antwort

Veo Objects Response 200

data
object

Veo Objects Response 200 Data

success
boolean

Veo Objects Response 200 Success